---
title: mask-image
slug: Web/CSS/mask-image
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Experimental
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>mask-image</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the image that is used as mask layer for an element.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
mask-image: none;

/* &lt;mask-source&gt; value */
mask-image: url(masks.svg#mask1);

/* &lt;image&gt; values */
mask-image: linear-gradient(rgba(0, 0, 0, 1.0), transparent);
mask-image: image(url(mask.png), skyblue);

/* Multiple values */
mask-image: image(url(mask.png), skyblue), linear-gradient(rgba(0, 0, 0, 1.0), transparent);

/* Global values */
mask-image: inherit;
mask-image: initial;
mask-image: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>This keyword is interpreted as a transparent black image layer.</dd>
 <dt><code>&lt;mask-source&gt;</code></dt>
 <dd>A {{cssxref("&lt;url&gt;")}} reference to a {{SVGElement("mask")}} or to a CSS image.</dd>
 <dt>{{cssxref("&lt;image&gt;")}}</dt>
 <dd>An image value used as mask image layer.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_a_mask_image_with_a_URL">Setting a mask image with a URL</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div id="masked"&gt;&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">#masked {
  width: 100px;
  height: 100px;
  background-color: #8cffa0;
  -webkit-mask-image: url(https://mdn.mozillademos.org/files/12676/star.svg);
  mask-image: url(https://mdn.mozillademos.org/files/12676/star.svg);
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_a_mask_image_with_a_URL', '100px', '100px', '', '', 'hide-codepen-jsfiddle')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Masks", "#the-mask-image", "mask-image")}}</td>
   <td>{{Spec2("CSS Masks")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.mask-image")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li><a href="https://css-tricks.com/clipping-masking-css/">Clipping and Masking in CSS</a></li>
  <li><a href="https://web.dev/css-masking/">Apply effects to images with CSS's mask-image property</a></li>
</ul>
